import request from '@/utils/request';

// 综合绩效-辅导员工作绩效填报列表查询
export function undertakeStudentWorkAssignmentsList(query) {
  return request({
    url: '/teacher/rw/list',
    method: 'get',
    data: query
  })
}
// 综合绩效-辅导员工作绩效填报新增
export function undertakeStudentWorkAssignmentsAdd(data) {
  return request({
    url: '/teacher/rw/add',
    method: 'post',
    data: data
  })
}

// 综合绩效-辅导员工作绩效填报修改
export function undertakeStudentWorkAssignmentsUpdate(data) {
  return request({
    url: '/teacher/rw/update',
    method: 'post',
    data: data
  })
}

// 综合绩效-辅导员工作绩效填报详情
export function undertakeStudentWorkAssignmentsDetail(id) {
  return request({
    url: '/teacher/rw/'+id,
    method: 'get',
  })
}

// 综合绩效-删除
export function undertakeStudentWorkAssignmentsDel(id) {
  return request({
    url: '/teacher/rw/'+id,
    method: 'post',
  })
}